# Class CIM_JobSettingData
extends CIM_SettingData

JobSettingData represents job characteristics and scheduling information for a CIM_Job. The settings may be applied to a job handling Service, a JobQueue or other destination to which jobs are submitted, and/or to individual CIM_Jobs. The applicability of the settings are defined using the ElementSettingData relationship. Since the Settings may be defined in several contexts and applied to many types of elements, this class is defined as a subclass of SettingData, versus ScopedSettingData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_JobSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

JobSettingData represents job characteristics and scheduling information for a CIM_Job. The settings may be applied to a job handling Service, a JobQueue or other destination to which jobs are submitted, and/or to individual CIM_Jobs. The applicability of the settings are defined using the ElementSettingData relationship. Since the Settings may be defined in several contexts and applied to many types of elements, this class is defined as a subclass of SettingData, versus ScopedSettingData.

UMLPackagePath | string | CIM::System::Processing
Version | string | 2.9.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeleteOnCompletion | boolean |
Description | string | Indicates whether or not the Job should be automatically deleted upon completion. Note that the 'completion' of a recurring job is defined by its JobRunTimes or UntilTime properties, OR when the Job is terminated by manual intervention.
ModelCorrespondence | string | CIM_Job.DeleteOnCompletion
Write | boolean | true
OtherRecoveryAction | string |
Description | string | A string describing the recovery action when the instance's RecoveryAction property is 1 ("Other").
ModelCorrespondence | string | CIM_JobSettingData.RecoveryAction, CIM_Job.OtherRecoveryAction
RecoveryAction | uint16 |

Description

string

Describes the recovery setting if the Job does not successfully complete. The possible values are: 0 = "Unknown", meaning it is unknown as to what recovery action to take 1 = "Other", indicating that the recovery action will be specified in the property, OtherRecoveryAction 2 = "Do Not Continue", meaning stop the execution of the job and appropriately update its status 3 = "Continue With Next Job", meaning continue with the next job in the queue 4 = "Re-run Job", indicating that the job should be re-run 5 = "Run Recovery Job", meaning run the Job associated using the RecoveryJob relationship. Note that the recovery Job MUST already be on the queue from which it will run.

ModelCorrespondence | string | CIM_JobSettingData.OtherRecoveryAction, CIM_Job.RecoveryAction
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Other, Do Not Continue, Continue With Next Job, Re-run Job, Run Recovery Job

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods